
import ComprehensiveWorkingHourServiceImpl.beforlog;
import com.engine.attendance.enums.AccountingUnitEnum;
import com.engine.attendance.workflow.service.AllowanceService;
import com.engine.attendance.workflow.service.impl.AllowanceServiceImpl;
import com.engine.common.util.DateUtil;
import com.engine.common.util.ServiceUtil;
import com.engine.common.util.Utils;
import com.google.common.collect.Lists;
import com.google.common.collect.Maps;
import org.junit.Test;

import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * @Author: sy
 * @Description:
 * @Date: 2024/4/10
 **/
public class Tset_sy extends beforlog {
    @Test
    public void test() {
        List<Map<String,Object>> browserTypeLists = Lists.newArrayList();
        Map<String,Object> map1 = Maps.newHashMap();
        map1.put("type","1");
        map1.put("linkurl","wewqe");
        browserTypeLists.add(map1);
        browserTypeLists.add(map1);

        Map<String,String> browserTypeMaps = browserTypeLists.stream().collect(Collectors.toMap(e->e.get("type").toString(), e->e.get("linkurl").toString()));
        System.out.println(browserTypeMaps);
    }
}
